
create table jin_satellite_installation
(
  id                   int(11) not null primary key,

  url                  varchar(50) not null default '',
  admin_email          varchar(255) not null default '',
  admin_passwd         varchar(255) not null default ''
);

alter table jin_role add priv_master_tools_satelliteinstallations varchar(50) not null default '' after priv_master_tools_dbbackup;

alter table jin_role drop priv_auth_profile_login;

alter table jin_sale add coupon_mode int(1) not null default 0 after download_ctime;
alter table jin_coupon add mode int(1) not null default 0 after limit_amount;

create table jin_external_ipn
(
  id                  int(11) not null primary key auto_increment,

  pgate_id            int(11) not null default 0,
  pgate_title         varchar(50) not null default '',

  tstamp              datetime null,
  verified            int(1) not null default 0,
  fingerprint         varchar(32) not null default '',

  data                text not null default '',

  sale_id             int(11) not null default 0,

  key(fingerprint),
  key(sale_id)
);

alter table jin_pgate add external_ipn int(1) not null default 0;

alter table jin_syslog modify name varchar(50) not null default '';

# the following 2 queries will be duplicated in jin-3-36 for those who already updated by the time
# we released the postfix with the labelling changes

alter table zen_labelling add id int(11) primary key auto_increment;
alter table zen_labelling change label title varchar(100) not null default '';
